# GiteaRepoManager

A simple web tool to batch create Gitea repositories and teams from JSON files, with team permission settings and member assignments.

## Features

- Batch create repositories in a specified Gitea organization from a JSON list.
- Batch create teams with detailed permissions and members from JSON.
- Assign teams to repositories with specific access rights.
- Supports token-based authentication.
- Uses a CORS proxy to bypass cross-origin restrictions (configurable).
- Logs operations and errors in a web interface.

## Usage

1. Prepare `repos.json` and `teams.json` files with the desired repository and team configurations.
2. Enter the target Gitea organization name in the input box.
3. Click "Create Teams" to batch create teams first.
4. Click "Create Repos" to batch create repositories and assign teams.
5. Monitor logs for success and errors.

## JSON Format Examples

### repos.json

```json
[
  {
    "name": "example-repo",
    "description": "Example repository",
    "default_branch": "main",
    "teams": ["team1", "team2"]
  }
]
